Elinchrom Studio 1.2 (macOS)

Elinchrom Studio Software for macOS.

Please note:
The Elinchrom Bridge (EL-19338) module is necessary in order to use the Elinchrom Studio software.
The Skyport USB RX is not compatible with the Elinchrom Studio software.

Download